net.minecraft.client.settings

## Class KeyBinding

- java.lang.Object
- - net.minecraft.client.settings.KeyBinding

-     public class KeyBinding
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IntHashMap` | `hash`
    `static List` | `keybindArray`
    `int` | `keyCode`
    `String` | `keyDescription`
    `boolean` | `pressed` because _303 wanted me to call it that(Caironater)
    `int` | `pressTime`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyBinding(String par1Str, int par2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isPressed()`
    `static void` | `onTick(int par0)`
    `static void` | `resetKeyBindingArrayAndHash()`
    `static void` | `setKeyBindState(int par0, boolean par1)`
    `static void` | `unPressAllKeys()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keybindArray

          public static List keybindArray

    - #### hash

          public static IntHashMap hash

    - #### keyDescription

          public String keyDescription

    - #### keyCode

          public int keyCode

    - #### pressed

          public boolean pressed

      because _303 wanted me to call it that(Caironater)

    - #### pressTime

          public int pressTime

  - ### Constructor Detail

    - #### KeyBinding

          public KeyBinding(String par1Str,
                    int par2)

  - ### Method Detail

    - #### onTick

          public static void onTick(int par0)

    - #### setKeyBindState

          public static void setKeyBindState(int par0,
                             boolean par1)

    - #### unPressAllKeys

          public static void unPressAllKeys()

    - #### resetKeyBindingArrayAndHash

          public static void resetKeyBindingArrayAndHash()

    - #### isPressed

          public boolean isPressed()